## edu.stanford.nlp.util
Class Sets

    java.lang.Object
      edu.stanford.nlp.util.Sets

    public class Sets

extends Object

Utilities for sets.

Author:
  Roger Levy, Bill MacCartney

Method Summary

`static

`<E,F> Set<Pair<E,F>>`

`

`cross(Set<E> s1, Set<F> s2)`
Returns the set cross product of s1 and s2, as `Pair`s

`static

`<E> Set<E>`

`

`diff(Set<E> s1, Set<E> s2)`
Returns the difference of sets s1 and s2.

`static

`<E> Set<E>`

`

`intersection(Set<E> s1, Set<E> s2)`
Returns the intersection of sets s1 and s2.

`static void` `main(String[] args)`

`static

`<E> Set<Set<E>>`

`

`powerSet(Set<E> s)`
Returns the powerset (the set of all subsets) of set s.

`static

`<E> Set<E>`

`

`union(Set<E> s1, Set<E> s2)`
Returns the union of sets s1 and s2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### cross

    public static <E,F> Set<Pair<E,F>> cross(Set<E> s1,
                                             Set<F> s2)

  Returns the set cross product of s1 and s2, as `Pair`s

### diff

    public static <E> Set<E> diff(Set<E> s1,
                                  Set<E> s2)

  Returns the difference of sets s1 and s2.

### union

    public static <E> Set<E> union(Set<E> s1,
                                   Set<E> s2)

  Returns the union of sets s1 and s2.

### intersection

    public static <E> Set<E> intersection(Set<E> s1,
                                          Set<E> s2)

  Returns the intersection of sets s1 and s2.

### powerSet

    public static <E> Set<Set<E>> powerSet(Set<E> s)

  Returns the powerset (the set of all subsets) of set s.

### main

    public static void main(String[] args)

Stanford NLP Group